PULSAR
API ReferenceStops Settings

Get Catalog

Return StopSpecificCauses

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Path Parameters

catalog*string

The catalog.

Value in

  • "general-causes"
  • "specific-causes"
  • "components"

Query Parameters

eager?array<>

Filter by eager (accepts multiple values).

Response Body

application/json

Try it live
GET
/stop-settings/{catalog}

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/stop-settings/general-causes"
[  {    "id": "52907745-7672-470e-a803-a2f8feb52944",    "deletedAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "tags": [      {        "tagValue": "string",        "tagKey": "string",        "id": "52907745-7672-470e-a803-a2f8feb52944"      }    ],    "programmedDowntimeMinutes": 0.1,    "isProgrammed": true,    "isActive": true,    "order": 0.1,    "name": "string"  }]